From cc22f2d0597f3a9547980f4786d918f8b5635472 Mon Sep 17 00:00:00 2001
From: OBATA Akio <obata@lins.jp>
Date: Mon, 15 Jul 2013 07:16:39 +0000
Subject: Add support fir GIFLIB-5.0 (bug #39482)

Signed-off-by: Sandro Santilli <strk@keybit.net>
---
diff --git a/libbase/GnashImageGif.cpp b/libbase/GnashImageGif.cpp
index eeba4b7..26865c1 100644
--- a/libbase/GnashImageGif.cpp
+++ b/libbase/GnashImageGif.cpp
@@ -269,7 +269,17 @@ GifInput::processRecord(GifRecordType record)
 void
 GifInput::read()
 {
+#if GIFLIB_MAJOR >= 5
+    int errorCode;
+    _gif = DGifOpen(_inStream.get(), &readData, &errorCode); 
+#else
     _gif = DGifOpen(_inStream.get(), &readData); 
+#endif
+
+    if ( ! _gif ) {
+        // TODO: decode errorCode if available
+        throw ParserException("Could not open input GIF stream");
+    }
 
     GifRecordType record;
 
--
cgit v0.9.0.2
